Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class CompressionAlgorithm

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.CompressionAlgorithm

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class CompressionAlgorithm

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Compression Algorithm', and utility methods for working with them. vocSet: D10620 (C-0-D10620-cpt)

See Also:
  `CDAR2Package.getCompressionAlgorithm()`

Field Summary
`static int` | `DF` The 'DF' literal value.
`static CompressionAlgorithm` | `DF_LITERAL` The 'DF' literal object.
`static int` | `GZ` The 'GZ' literal value.
`static CompressionAlgorithm` | `GZ_LITERAL` The 'GZ' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Compression Algorithm' enumerators.
`static int` | `Z` The 'Z' literal value.
`static CompressionAlgorithm` | `Z_LITERAL` The 'Z' literal object.
`static int` | `ZL` The 'ZL' literal value.
`static CompressionAlgorithm` | `ZL_LITERAL` The 'ZL' literal object.

Method Summary
`static CompressionAlgorithm` | `get(int value)` Returns the 'Compression Algorithm' literal with the specified integer value.
`static CompressionAlgorithm` | `get(java.lang.String literal)` Returns the 'Compression Algorithm' literal with the specified literal value.
`static CompressionAlgorithm` | `getByName(java.lang.String name)` Returns the 'Compression Algorithm' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DF

    public static final int DF

  The 'DF' literal value.

  If the meaning of 'DF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DF_LITERAL`, Constant Field Values

### GZ

    public static final int GZ

  The 'GZ' literal value.

  If the meaning of 'GZ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GZ_LITERAL`, Constant Field Values

### Z

    public static final int Z

  The 'Z' literal value.

  If the meaning of 'Z' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Z_LITERAL`, Constant Field Values

### ZL

    public static final int ZL

  The 'ZL' literal value.

  If the meaning of 'ZL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ZL_LITERAL`, Constant Field Values

### DF_LITERAL

    public static final CompressionAlgorithm DF_LITERAL

  The 'DF' literal object.

  See Also:
    `DF`

### GZ_LITERAL

    public static final CompressionAlgorithm GZ_LITERAL

  The 'GZ' literal object.

  See Also:
    `GZ`

### Z_LITERAL

    public static final CompressionAlgorithm Z_LITERAL

  The 'Z' literal object.

  See Also:
    `Z`

### ZL_LITERAL

    public static final CompressionAlgorithm ZL_LITERAL

  The 'ZL' literal object.

  See Also:
    `ZL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Compression Algorithm' enumerators.

Method Detail

### get

    public static CompressionAlgorithm get(java.lang.String literal)

  Returns the 'Compression Algorithm' literal with the specified literal value.

### getByName

    public static CompressionAlgorithm getByName(java.lang.String name)

  Returns the 'Compression Algorithm' literal with the specified name.

### get

    public static CompressionAlgorithm get(int value)

  Returns the 'Compression Algorithm' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD